<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (is_file(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
// The Auto Routing (Legacy) is very dangerous. It is easy to create vulnerable apps
// where controller filters or CSRF protection are bypassed.
// If you don't want to define all routes, please use the Auto Routing (Improved).
// Set `$autoRoutesImproved` to true in `app/Config/Feature.php` and set the following to true.
// $routes->setAutoRoute(false);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('login', 'CredentialController::Login');

$routes->get('/', 'Dashboard::index');
//master page



$routes->get('master/finance', 'MasterController::Finance');



// User
$routes->get('master/user', 'CredentialController::Masteruser');
$routes->POST('user/simpan', 'CredentialController::Simpan');
$routes->GET('user/fetch', 'CredentialController::fetch');
$routes->POST('user/edit', 'CredentialController::get_detail');
$routes->POST('user/update', 'CredentialController::Update_data');
$routes->POST('user/delete', 'CredentialController::delete');
$routes->POST('user/fetch/where', 'CredentialController::Wherecon'); 

//brand
$routes->get('master/brand', 'MasterController::Brand');
$routes->POST('brand/simpan', 'MasterController::Brand_simpan');
$routes->GET('brand/fetch', 'MasterController::Brand_fetch');
$routes->POST('brand/edit', 'MasterController::Brand_detail');
$routes->POST('brand/update', 'MasterController::Brand_update');
$routes->POST('brand/delete', 'MasterController::Brand_delete');


//talent
$routes->get('master/talent', 'MasterController::Talent');
$routes->POST('talent/simpan', 'MasterController::Talent_simpan');
$routes->GET('talent/fetch', 'MasterController::Talent_fetch');
$routes->POST('talent/edit', 'MasterController::Talent_detail');
$routes->POST('talent/update', 'MasterController::Talent_update');


// Staf
$routes->get('master/staff', 'MasterController::Staff');
$routes->POST('staf/simpan', 'MasterController::Staf_simpan');
$routes->GET('staf/fetch', 'MasterController::Staf_fetch');
$routes->POST('staf/edit', 'MasterController::Staf_detail');
$routes->POST('staf/update', 'MasterController::Staf_update');

//transactional page
$routes->get('tran/job-payment', 'TransactionalController::Job_payment');
$routes->get('tran/draft-post', 'TransactionalController::draf_post');
$routes->get('tran/talent-performance', 'TransactionalController::talent_performance');

//Report
$routes->get('report/finance-report', 'ReportController::finance_report');
$routes->get('report/finance-recap', 'ReportController::finance_recap');
$routes->get('report/deal-job-payment', 'ReportController::deal_job_payment');
$routes->get('report/draft-post', 'ReportController::draft_post');
$routes->get('report/talent-performance', 'ReportController::talent_performance');

/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (is_file(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
